package com.example.demo.controller;

import com.example.demo.dto.ExampleData;
import com.example.demo.dto.R;
import com.example.demo.service.DataService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * @author guoxiang
 * @see <a href="https://www.jianshu.com/u/aba665c4151f">简书TinyThing</a>
 * @since 2022/7/21 13:33
 */
@RestController
@RequestMapping("/importTest")
@Api(tags = "导入")
@RequiredArgsConstructor
@Slf4j
public class ImportController {

    private final DataService dataService;

    @PostMapping("/import")
    @ApiOperation("导入")
    R<List<ExampleData>> importDetail(@RequestPart MultipartFile file) {

        log.info("- import data...");

        R<List<ExampleData>> data = dataService.importData(file);

        log.info("- import finish");
        return data;
    }

}
