package com.example.demo.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.handler.inter.IExcelDataModel;
import cn.afterturn.easypoi.handler.inter.IExcelModel;
import lombok.Data;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;

/**
 * @author guoxiang
 * @see <a href="https://www.jianshu.com/u/aba665c4151f">简书TinyThing</a>
 * @since 2022/7/21 13:58
 */
@Data
public class ExampleData implements IExcelModel, IExcelDataModel {
    @NotBlank(message = "不能为空")
    @Excel(name = "证件号码")
    private String id;

    @Excel(name = "名称")
    @NotBlank(message = "名称不能为空")
    private String name;

    @Excel(name = "年龄")
    @Max(value = 150, message = "年龄不能超过150")
    @Min(value = 1, message = "年龄不能小于1")
    private Integer age;

    @Excel(name = "学校")
    private String college;

    @Excel(name = "职位")
    private String position;

    @Excel(name = "导入错误信息")
    private String errorMsg;

    private Integer rowNum;
}
